org.apache.ignite.yarn

## Class ClusterProperties

- java.lang.Object
- - org.apache.ignite.yarn.ClusterProperties

-     public class ClusterProperties
      extends Object

  Cluster settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CLUSTER_NAME`
    `static double` | `DEFAULT_CPU_PER_NODE`
    `static String` | `DEFAULT_IGNITE_LOCAL_WORK_DIR`
    `static double` | `DEFAULT_IGNITE_NODE_COUNT`
    `static String` | `DEFAULT_IGNITE_RELEASES_DIR`
    `static String` | `DEFAULT_IGNITE_WORK_DIR`
    `static String` | `DEFAULT_IGNITE_YARN_QUEUE` Ignite Yarn default Queue
    `static double` | `DEFAULT_MEM_PER_NODE`
    `static double` | `DEFAULT_MINIMUM_MEM_OVERHEAD_PER_NODE` The minimum memory overhead: overhead is by default 0.1* MEMORY_PER_NODE, with a minimum of DEFAULT_MINIMUM_MEM_OVERHEAD_PER_NODE.
    `static String` | `EMPTY_STRING`
    `static String` | `IGNITE_CLUSTER_NAME`
    `static String` | `IGNITE_CONFIG_XML`
    `static String` | `IGNITE_HOSTNAME_CONSTRAINT`
    `static String` | `IGNITE_JVM_OPTS`
    `static String` | `IGNITE_LOCAL_WORK_DIR`
    `static String` | `IGNITE_MEMORY_OVERHEAD_PER_NODE`
    `static String` | `IGNITE_MEMORY_PER_NODE`
    `static String` | `IGNITE_NODE_COUNT`
    `static String` | `IGNITE_PATH`
    `static String` | `IGNITE_RELEASES_DIR`
    `static String` | `IGNITE_RUN_CPU_PER_NODE`
    `static String` | `IGNITE_URL`
    `static String` | `IGNITE_USERS_LIBS`
    `static String` | `IGNITE_WORKING_DIR`
    `static String` | `IGNITE_YARN_QUEUE` Ignite Yarn Queue
    `static String` | `LICENCE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterProperties()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `clusterName()`
    `double` | `cpusPerNode()`
    `void` | `cpusPerNode(double cpu)` Sets CPU count limit.
    `static ClusterProperties` | `from()`
    `static ClusterProperties` | `from(String config)`
    `Pattern` | `hostnameConstraint()`
    `void` | `hostnameConstraint(Pattern pattern)` Sets hostname constraint.
    `String` | `igniteCfg()`
    `String` | `igniteLocalWorkDir()`
    `String` | `ignitePath()`
    `String` | `igniteReleasesDir()`
    `String` | `igniteUrl()`
    `String` | `igniteWorkDir()`
    `double` | `instances()`
    `void` | `instances(int nodeCnt)` Sets instance count limit.
    `String` | `jvmOpts()`
    `String` | `licencePath()`
    `double` | `memoryOverHeadPerNode()`
    `void` | `memoryOverHeadPerNode(double memOverHeadPerNode)` Sets memory overhead requested to YARN.
    `double` | `memoryPerNode()`
    `void` | `memoryPerNode(double mem)` Sets mem limit.
    `Map<String,String>` | `toEnvs()` Convert to properties to map.
    `double` | `totalMemoryPerNode()`
    `String` | `userLibs()`
    `String` | `yarnQueue()`
    `void` | `yarnQueue(String queue)` Sets Yarn Queue

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_STRING

          public static final String EMPTY_STRING

      See Also:
        Constant Field Values

    - #### IGNITE_CLUSTER_NAME

          public static final String IGNITE_CLUSTER_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_CLUSTER_NAME

          public static final String DEFAULT_CLUSTER_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_CPU_PER_NODE

          public static final double DEFAULT_CPU_PER_NODE

      See Also:
        Constant Field Values

    - #### DEFAULT_MEM_PER_NODE

          public static final double DEFAULT_MEM_PER_NODE

      See Also:
        Constant Field Values

    - #### DEFAULT_MINIMUM_MEM_OVERHEAD_PER_NODE

          public static final double DEFAULT_MINIMUM_MEM_OVERHEAD_PER_NODE

      The minimum memory overhead: overhead is by default 0.1* MEMORY_PER_NODE, with a minimum of DEFAULT_MINIMUM_MEM_OVERHEAD_PER_NODE.
      See Also:
        Constant Field Values

    - #### IGNITE_RUN_CPU_PER_NODE

          public static final String IGNITE_RUN_CPU_PER_NODE

      See Also:
        Constant Field Values

    - #### IGNITE_MEMORY_PER_NODE

          public static final String IGNITE_MEMORY_PER_NODE

      See Also:
        Constant Field Values

    - #### IGNITE_MEMORY_OVERHEAD_PER_NODE

          public static final String IGNITE_MEMORY_OVERHEAD_PER_NODE

      See Also:
        Constant Field Values

    - #### IGNITE_NODE_COUNT

          public static final String IGNITE_NODE_COUNT

      See Also:
        Constant Field Values

    - #### DEFAULT_IGNITE_NODE_COUNT

          public static final double DEFAULT_IGNITE_NODE_COUNT

      See Also:
        Constant Field Values

    - #### IGNITE_URL

          public static final String IGNITE_URL

      See Also:
        Constant Field Values

    - #### IGNITE_WORKING_DIR

          public static final String IGNITE_WORKING_DIR

      See Also:
        Constant Field Values

    - #### DEFAULT_IGNITE_WORK_DIR

          public static final String DEFAULT_IGNITE_WORK_DIR

      See Also:
        Constant Field Values

    - #### IGNITE_PATH

          public static final String IGNITE_PATH

      See Also:
        Constant Field Values

    - #### LICENCE_PATH

          public static final String LICENCE_PATH

      See Also:
        Constant Field Values

    - #### IGNITE_JVM_OPTS

          public static final String IGNITE_JVM_OPTS

      See Also:
        Constant Field Values

    - #### IGNITE_LOCAL_WORK_DIR

          public static final String IGNITE_LOCAL_WORK_DIR

      See Also:
        Constant Field Values

    - #### DEFAULT_IGNITE_LOCAL_WORK_DIR

          public static final String DEFAULT_IGNITE_LOCAL_WORK_DIR

      See Also:
        Constant Field Values

    - #### IGNITE_RELEASES_DIR

          public static final String IGNITE_RELEASES_DIR

      See Also:
        Constant Field Values

    - #### DEFAULT_IGNITE_RELEASES_DIR

          public static final String DEFAULT_IGNITE_RELEASES_DIR

      See Also:
        Constant Field Values

    - #### IGNITE_USERS_LIBS

          public static final String IGNITE_USERS_LIBS

      See Also:
        Constant Field Values

    - #### IGNITE_CONFIG_XML

          public static final String IGNITE_CONFIG_XML

      See Also:
        Constant Field Values

    - #### IGNITE_HOSTNAME_CONSTRAINT

          public static final String IGNITE_HOSTNAME_CONSTRAINT

      See Also:
        Constant Field Values

    - #### IGNITE_YARN_QUEUE

          public static final String IGNITE_YARN_QUEUE

      Ignite Yarn Queue
      See Also:
        Constant Field Values

    - #### DEFAULT_IGNITE_YARN_QUEUE

          public static final String DEFAULT_IGNITE_YARN_QUEUE

      Ignite Yarn default Queue
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusterProperties

          public ClusterProperties()

  - ### Method Detail

    - #### clusterName

          public String clusterName()

      Returns:
        Cluster name.

    - #### cpusPerNode

          public double cpusPerNode()

      Returns:
        CPU count limit.

    - #### cpusPerNode

          public void cpusPerNode(double cpu)

      Sets CPU count limit.
      Parameters:
        `cpu` - CPU per node count limit.

    - #### memoryPerNode

          public double memoryPerNode()

      Returns:
        mem limit.

    - #### memoryPerNode

          public void memoryPerNode(double mem)

      Sets mem limit.
      Parameters:
        `mem` - Memory.

    - #### memoryOverHeadPerNode

          public double memoryOverHeadPerNode()

      Returns:
        Memory overhead for requested memory.

    - #### memoryOverHeadPerNode

          public void memoryOverHeadPerNode(double memOverHeadPerNode)

      Sets memory overhead requested to YARN.
      Parameters:
        `memOverHeadPerNode` - Memory over head per node.

    - #### totalMemoryPerNode

          public double totalMemoryPerNode()

      Returns:
        Provide the total memory requested to ResourceManagers (memoryPerNode + memoryOverheadPerNode).

    - #### instances

          public double instances()

      Returns:
        Instance count limit.

    - #### instances

          public void instances(int nodeCnt)

      Sets instance count limit.
      Parameters:
        `nodeCnt` - Node instance count limit.

    - #### hostnameConstraint

          public void hostnameConstraint(Pattern pattern)

      Sets hostname constraint.
      Parameters:
        `pattern` - Hostname pattern.

    - #### yarnQueue

          public void yarnQueue(String queue)

      Sets Yarn Queue
      Parameters:
        `queue` - queue name.

    - #### igniteUrl

          public String igniteUrl()

      Returns:
        Ignite version.

    - #### igniteWorkDir

          public String igniteWorkDir()

      Returns:
        Working directory.

    - #### igniteLocalWorkDir

          public String igniteLocalWorkDir()

      Returns:
        Local working directory.

    - #### igniteReleasesDir

          public String igniteReleasesDir()

      Returns:
        Ignite releases dir.

    - #### userLibs

          public String userLibs()

      Returns:
        User's libs.

    - #### igniteCfg

          public String igniteCfg()

      Returns:
        Ignite configuration.

    - #### licencePath

          public String licencePath()

      Returns:
        Licence path.

    - #### ignitePath

          public String ignitePath()

      Returns:
        Ignite hdfs path.

    - #### jvmOpts

          public String jvmOpts()

      Returns:
        Jvm opts.

    - #### hostnameConstraint

          public Pattern hostnameConstraint()

      Returns:
        Host name constraint.

    - #### yarnQueue

          public String yarnQueue()

      Returns:
        Yarn Queue

    - #### from

          public static ClusterProperties from(String config)

      Parameters:
        `config` - Path to config file.
      Returns:
        Cluster configuration.

    - #### from

          public static ClusterProperties from()

      Returns:
        Cluster configuration.

    - #### toEnvs

          public Map<String,String> toEnvs()

      Convert to properties to map.
      Returns:
        Key-value map.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022